export const components = {
  NAVBAR_HEIGHT: 8.2,
  NAVBAR_DESKTOP_H_PADDING: 5,
  NAVBAR_DESKTOP_V_PADDING: 2.3,
  NAVBAR_MOBILE_H_PADDING: 3,
  NAVBAR_IMAGE_PADDING : 1.5,
  NAVBAR_MOBILE_V_PADDING: 2.5,
  SLIDER_DOT_SIZE: 1.6,
  SLIDER_HANDLE_SIZE: 2.2,
  SLIDER_WIDTH: 0.4,
  PAYMENT_CARD_WIDTH: 27,
  DEFAULT_PAGE_V_MARGIN: 8.5,
  MODAL_PADDING: 2.5
}

export const DESKTOP_CONTENT_PADDING_TOP = components.NAVBAR_HEIGHT + 10

export const MOBILE_CONTENT_PADDING_TOP = components.NAVBAR_HEIGHT + 5

export const DEFAULT_MOBILE_PADDING = 3

export const DEFAULT_MOBILE_MARGIN = 2.5

export const DEFAULT_SIDE_PADDING = 21.5

export const DEFAULT_COMPONENTS_MARGIN = 2.4

export const LOGIN_MOBILE_MARGIN = 3.5

export const DOUBLE_MOBILE_MARGIN = 2 * LOGIN_MOBILE_MARGIN

export const LOGIN_LEFT_PANEL_WIDTH = 37

export const COMPONENTS_DEFAULT_MARGIN = 2.5

export const zIndexes = {
  CARDS: 1,
  NAVBAR: 1,
  HAMBURGER_MENU: 2
}

export const containerSizes = {
  xl: { DEFAULT: 169, DASHBOARD: 161 },
  lg: { DEFAULT: 120, DASHBOARD: 112 },
  md: { DEFAULT: 76.8, DASHBOARD: 76.8 },
  sm: { DEFAULT: 57.6, DASHBOARD: 57.6 },
  xs: { DEFAULT: 37, DASHBOARD: 37 }
}

export const breakpoints = {
  XL: 1200,
  LG: 992,
  MD: 768,
  SM: 576
}

export const gutterSizes = {
  DESKTOP: 1.5,
  MOBILE: 3
}

export const ONE_PIXEL_IN_REM = 0.0625
